Download Reference Manual
The Developer's Library for D
About Wiki Forums Source Search Contact

Ticket #739 (closed task: fixed)

Opened 10 years ago

Last modified 9 years ago

Needs debug build of the new naming scheme

Reported by: larsivi Assigned to: sean
Priority: major Milestone: 0.99.9
Component: Core Functionality Version: 0.99.2 Don
Keywords: triage Cc:

Description

If -defaultlib is used, it will be ignored if -g is thrown. Thus libphobos will be linked unless -debuglib is set too. Will create WTF situations immediately when someone tries to debug.

A workaround for now is to specify both to point to dtango-base-dmd in the configurations.

Change History

11/12/07 19:53:15 changed by sean

  • status changed from new to closed.
  • resolution set to fixed.

Lame. DMD should fall back on -defaultlib in debug builds if no debug lib is specified, but I'll fix it anyway. Closed by [2863].

11/13/07 09:59:44 changed by larsivi

  • status changed from closed to reopened.
  • priority changed from critical to major.
  • resolution deleted.
  • milestone changed from 0.99.3 to 0.99.4.

I actually meant this to be the ticket for enabling debug builds in the makefiles. No real rush.

Also use this ticket as a reminder to remove/fix -debuglib switch when

http://d.puremagic.com/issues/show_bug.cgi?id=1662

is fixed, see ToolchainIssues.

12/21/07 14:10:59 changed by larsivi

  • milestone changed from 0.99.4 to 0.99.5.

01/17/08 15:16:41 changed by sean

The greatest obstacle to creating a debug build at this point is the poor quality of the DigitalMars? make tool. But it could cause problems if the makefiles were modified to require gmake, as those pulling from SVN would need a separate tool in their path to build Tango. Not sure what to do here.

01/24/08 20:11:36 changed by larsivi

  • milestone changed from 0.99.5 to 1.0.

This is partially an external tools problem, but putting it in 1.0 in case we find a different solution.

04/12/08 21:14:00 changed by larsivi

Referenced in #819.

04/13/08 18:48:11 changed by larsivi

Maybe it is wrong looking for a make specific solution? Couldn't the definition of the necessary switches be pulled out to the build scripts? build-dmd.sh etc - I hope DM make is able to pick up env vars?

05/24/08 18:19:51 changed by larsivi

  • keywords set to triage.

07/26/08 21:24:02 changed by sean

That's probably what I'll do. We definitely need a debug lib before 1.0.

04/12/09 10:27:58 changed by larsivi

  • status changed from reopened to closed.
  • resolution set to fixed.
  • milestone changed from 1.0 to 0.99.9.

This has been fixed (both DMD issue and debug build).